# $Revision: 1.54.2.1 $, $Date: 2007/02/26 16:50:49 $
#
# Conditional build:
%bcond_with	yesterday_snapshot	# Build most current ekg2 snapshot
					# (must use ./builder -n5 or plain rpmbuild)
%bcond_without	aspell			# build without spell-checking support with aspell
%bcond_without	gadugadu		# don't build gg plugin
%bcond_without	jabber			# don't build jabber plugin
%bcond_without	libgsm			# don't build libgsm plugin
%bcond_without	python			# don't build Python plugin
%bcond_without	sqlite			# don't build logsqlite plugin
%bcond_without	xosd			# don't build xosd plugin

%if %{with yesterday_snapshot}
%define		_snap %(date +%%Y%%m%%d -d yesterday)
%else
%define		_snap 20050621
%endif

Summary:	Multi-protocol instant messaging and chat client
Summary(pl):	Wieloprotokoowy komunikator internetowy
Name:		ekg2
Version:	1.0
Release:	0.%{_snap}.3
Epoch:		1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://www.ekg2.org/archive/%{name}-%{_snap}.tar.gz
# Source0-md5:	71373f6347786f8f934a8cfa478a4426
URL:		http://www.ekg2.org/
%{?with_aspell:BuildRequires:	aspell-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_jabber:BuildRequires:	expat-devel}
BuildRequires:	gettext-devel
%{?with_jabber:BuildRequires:	gnutls-devel >= 1.2.5}
BuildRequires:	gpm-devel
%{?with_gadugadu:BuildRequires:	libgadu-devel}
%{?with_libgsm:BuildRequires:	libgsm-devel}
%{?with_gadugadu:BuildRequires:	libjpeg-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_python:BuildRequires:	python-devel}
%{?with_python:BuildRequires:   python}
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite-devel}
%{?with_xosd:BuildRequires:	xosd-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Multi-protocol instant messaging and chat client with many plugins.

%description -l pl
Wieloprotokoowy, otwarty komunikator internetowy z wieloma pluginami.

%package plugin-protocol-gg
Summary:	Gadu-gadu protocol plugin for ekg2
Summary(pl):	Wtyczka protokou Gadu-gadu dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-protocol-gg
Gadu-gadu protocol plugin for ekg2.

%description plugin-protocol-gg -l pl
Wtyczka protokou gadu-gadu dla ekg2.

%package plugin-protocol-gsm
Summary:	GSM VoIP protocol plugin for ekg2
Summary(pl):	Wtyczka protokou GSM VoIP dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-protocol-gsm
GSM VoIP protocol plugin for ekg2.

%description plugin-protocol-gsm -l pl
Wtyczka protokou GSM VoIP dla ekg2.

%package plugin-protocol-irc
Summary:	IRC protocol plugin for ekg2
Summary(pl):	Wtyczka protokou IRC dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-protocol-irc
IRC protocol plugin for ekg2.

%description plugin-protocol-irc -l pl
Wtyczka protokou IRC dla ekg2.

%package plugin-protocol-jabber
Summary:	Jabber protocol plugin for ekg2
Summary(pl):	Wtyczka protokou Jabber dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-protocol-jabber
Jabber protocol plugin for ekg2.

%description plugin-protocol-jabber -l pl
Wtyczka protokou Jabber dla ekg2.

%package plugin-scripting-python
Summary:	Python scripting plugin for ekg2
Summary(pl):	Wtyczka jzyka Python dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-scripting-python
Python scripting plugin for ekg2.

%description plugin-scripting-python -l pl
Wtyczka skryptw Pythona dla ekg2.

%package plugin-ioctld
Summary:	Ioctld plugin for ekg2
Summary(pl):	Wtyczka ioctld dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-ioctld
Ioctld plugin for ekg2 (contains suid root binary!).

%description plugin-ioctld -l pl
Plugin ioctld dla ekg2 (zawiera program z ustawionym suid root!).

%package plugin-logsqlite
Summary:	SQLite log plugin for ekg2
Summary(pl):	Wtyczka logowania do SQLite dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-logsqlite
SQLite log plugin for ekg2.

%description plugin-logsqlite -l pl
Wtyczka logowania do bazy SQLite dla ekg2.

%package plugin-sim
Summary:	Encryption plugin for ekg2
Summary(pl):	Wtyczka szyfrujca dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-sim
Message encryption plugin for ekg2.

%description plugin-sim -l pl
Wtyczka szyfrujca wiadomoci dla ekg2.

%package plugin-xosd
Summary:	xosd plugin for ekg2
Summary(pl):	Wtyczka xosd dla ekg2
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-xosd
xosd plugin for ekg2.

%description plugin-xosd -l pl
Wtyczka xosd dla ekg2.

%prep
%setup -q -n %{name}-%{_snap}
sed -i -e 's/AC_LIBLTDL_CONVENIENCE/AC_LIBLTDL_INSTALLABLE/' configure.ac
sed -i -e 's/\/opt\/sqlite\/lib/\/opt\/sqlite\/lib \/usr\/lib64/' m4/sqlite.m4

%build
%{__libtoolize} --ltdl
cd libltdl
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_aspell:out}-aspell \
	--with%{!?with_jabber:out}-expat \
	--with%{!?with_gadugadu:out}-libgadu \
	--with%{!?with_libgsm:out}-libgsm \
	--with%{!?with_python:out}-python \
	--with%{!?with_sqlite:out}-sqlite \
	--with%{!?with_xosd:out}-xosd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf docs/{CVS,.cvsignore,Makefile*}
mv -f README README-main

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS* README-main docs/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/logs.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/mail.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/ncurses.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/pcm.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/rc.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/sms.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/plugins/rc
%{_datadir}/%{name}/plugins/sms
%{_datadir}/%{name}/plugins/logs
%{_datadir}/%{name}/plugins/ncurses

%files plugin-protocol-gg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/gg.so
%{_datadir}/%{name}/plugins/gg

%if %{with libgsm}
%files plugin-protocol-gsm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/gsm.so
%endif

%files plugin-protocol-irc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/irc.so
%{_datadir}/%{name}/plugins/irc

%if %{with jabber}
%files plugin-protocol-jabber
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/jabber.so
%{_datadir}/%{name}/plugins/jabber
%endif

%if %{with python}
%files plugin-scripting-python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/python.so
# %{_datadir}/%{name}/plugins/jabber
%endif

%files plugin-ioctld
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/ioctld.so
%{_datadir}/%{name}/plugins/ioctld
%attr(4755,root,root) %{_libexecdir}/ioctld

%if %{with sqlite}
%files plugin-logsqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/logsqlite.so
%{_datadir}/%{name}/plugins/logsqlite
%endif

%files plugin-sim
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/sim.so
%{_datadir}/%{name}/plugins/sim

%if %{with xosd}
%files plugin-xosd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/xosd.so
%{_datadir}/%{name}/plugins/xosd
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ekg2.spec,v $
Revision 1.54.2.1  2007/02/26 16:50:49  baggins
-rel 3

Revision 1.54  2005/07/11 16:42:21  arekm
BR gnutls >= 1.2.5

Revision 1.53  2005/07/01 12:23:55  gozda
- fixed build for amd64

Revision 1.52  2005/06/22 21:13:47  paszczus
- updated to 20050621 (some fixes)
- dropeed Patch0 and Patch1 (included in this snap)
- added BR for building with python: python (python-devel not require python as well)

Revision 1.51  2005/05/04 21:33:09  speedy
- patch: gcc4
- use %{_libexecdir} for ioctld binary

Revision 1.50  2005/04/06 14:53:11  paszczus
- typo in snap version

Revision 1.49  2005/04/06 14:51:08  paszczus
- updated to snap 20050405
- added pl-po.patch

Revision 1.48  2005/03/19 22:32:09  adamg
- updated to 20050319 snap

Revision 1.47  2005/02/04 00:59:35  adamg
- fixed E:V-R issue

Revision 1.46  2005/02/04 00:54:35  adamg
- some missing defattrs()

Revision 1.45  2005/02/03 21:13:03  qboosh
- sorted deps and subpackages, no need to bcond preambles

Revision 1.44  2005/01/30 15:13:21  japhy
- Updated to current snapshot
- Adjusted bconds and BRs
- Broken into subpackages
- Version: 1.0, Epoch: 1 (ekg2 will be 1.0, not 2.0)

Revision 1.43  2005/01/05 22:37:14  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.42  2004/12/30 22:18:34  qboosh
- cosmetics

Revision 1.41  2004/12/30 13:02:19  sparky
- removed xosd bcond - there is no --with(out)-xosd

Revision 1.40  2004/12/30 12:51:55  sparky
- xosd plugin separated
- Updated to 20041229

Revision 1.39  2004/12/25 13:24:09  gozda
- patch0 has been included to ekg2 repo
- Update to 20041224

Revision 1.38  2004/12/24 12:03:43  gozda
- The new patch enables shadow colour setting.

Revision 1.37  2004/12/06 14:47:12  leafnode
- updated to snap 20041205

Revision 1.36  2004/11/17 20:55:10  qboosh
- BR sed 4.0

Revision 1.35  2004/11/11 17:36:01  leafnode
- fixed md5

Revision 1.34  2004/11/11 17:33:24  leafnode
- added xosd plugin bcond
- s/perl -pi/sed -i/
- updated to snapshot 20041110

Revision 1.33  2004/11/09 14:38:13  japhy
- Update to current snapshot
- Patch0 not needed anymore
- BR: libxosd (new plugin)

Revision 1.32  2004/11/06 15:06:09  pbern
- snap 20041106
- patch0 now in source

Revision 1.31  2004/10/17 09:59:16  qboosh
- release .2

Revision 1.30  2004/10/17 09:47:05  qboosh
- added nolibs patch to kill unwanted -lbind -lnsl
- use system libltdl

Revision 1.29  2004/10/07 18:53:42  paszczus
- reverted, pff

Revision 1.28  2004/10/07 18:50:01  paszczus
- cleanups (adapter test :))

Revision 1.27  2004/10/07 16:32:22  japhy
- Upgrade to current snapshot.

Revision 1.26  2004/10/05 00:18:58  havner
- rel up to rebuild with new bind-libs
- hawk, why haven't you made a note about soname change?!

Revision 1.25  2004/09/05 19:23:40  zergin
- added missing BR: libltdl-devel (by Zbyniu Krzystolik)

Revision 1.24  2004/09/04 09:58:55  qboosh
- package locales properly, sorted BRs

Revision 1.23  2004/09/03 16:36:58  japhy
- Refresh config.sub also in libltdl/ (adamg)
- Update to current snapshot (20040902)
- Package .mo files, BR: gettext-devel

Revision 1.22  2004/09/03 16:15:30  adamg
- refresh config.sub, BuildRequires: automake
- release 2

Revision 1.21  2004/09/02 11:11:37  ankry
- spaces -> tabs

Revision 1.20  2004/09/02 04:21:06  martii
grrrr of course it supposed to be libstdc++-devel ;)

Revision 1.19  2004/09/02 04:19:41  martii
libstdc++ required too (i build on clean system) and if autoconf is missing configure goes into infinite loop.

Revision 1.18  2004/09/02 04:03:53  martii
added gcc-c++ BR as configure is looking for cc1plus file

Revision 1.17  2004/08/18 18:07:22  japhy
- Removed re-autotoolizing before %configure and bconds
- Added %{__make} in build (up to now all compiling was done in %{__make} install later, lame)
- Description fix
- Added new directory with help files
- Not packaging ioctld.so plugin when not with_ioctl_daemon
- Cosmetics: ekg2->%{name}

Revision 1.16  2004/08/05 00:18:41  japhy
- Removed gnutls-kludge (autotools autodetection works now)
- Updated to current snapshot

Revision 1.15  2004/07/20 22:42:27  japhy
- Fixed kludge to use gnutls, bconded it (doesn't always work)
- bcond_with aspell -> bcond_without (biggest memleak fixed now)
- Updated to current snapshot
- Cosmetics

Revision 1.14  2004/07/06 20:55:59  qboosh
- use only new-style bconds

Revision 1.13  2004/07/06 20:45:14  japhy
- Adjusted BR
- Moved aspell support out to bcond at least until they hunt memleak in there
- Added gnutls support for Jabber plugin (autoconf part of it not done yet)
- Updated to current snapshot

Revision 1.12  2004/06/23 22:33:39  japhy
- Updated URLs to http://www.ekg2.org/
- Updated to current snapshot

Revision 1.11  2004/06/08 07:25:53  paszczus
- reverted changes

Revision 1.9  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.8  2004/05/12 16:12:45  martii
- added missing libtool BR

Revision 1.7  2004/04/28 17:59:36  japhy
- Bounced version to 20040427 snapshot
- Fixed URL
- Added possibility of building current snapshot with a bcond

Revision 1.6  2004/04/11 22:36:52  paszczus
- pointed out by LCF

Revision 1.5  2004/04/11 17:57:02  gotar
- upgraded to 20040411:
 - BR: libgadu-devel (ekg2 doesn't contain it anymore),
 - BR: libgsm-devel, removed BR: {readline,zlib}-devel,
- renamed binary, so that it won't conflict with ekg.

Revision 1.4  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2003/12/16 01:20:19  qrczak
- Typo.

Revision 1.2  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.1  2003/07/13 15:44:09  erjot
- first version. do not build. do not work.
